org.sunflow.math

## Class PerlinVector

- java.lang.Object
- - org.sunflow.math.PerlinVector

    public class PerlinVector
    extends java.lang.Object

Vector versions of the standard noise functions. These are provided to emulate standard renderman calls.This code was adapted mainly from the mrclasses package by Gonzalo Garramuno (http://sourceforge.net/projects/mrclasses/).

### Constructor Summary

Constructors
Constructor and Description
`PerlinVector()`

### Method Summary

Methods
`static Vector3` `noise(float x)`
`static Vector3` `noise(float x, float y)`
`static Vector3` `noise(float x, float y, float z)`
`static Vector3` `noise(float x, float y, float z, float t)`
`static Vector3` `noise(Point2 p)`
`static Vector3` `noise(Point3 p)`
`static Vector3` `noise(Point3 p, float t)`
`static Vector3` `pnoise(float x, float period)`
`static Vector3` `pnoise(float x, float y, float w, float h)`
`static Vector3` `pnoise(float x, float y, float z, float w, float h, float d)`
`static Vector3` `pnoise(float x, float y, float z, float t, float w, float h, float d, float p)`
`static Vector3` `pnoise(Point2 p, float periodx, float periody)`
`static Vector3` `pnoise(Point3 p, float t, Vector3 pperiod, float tperiod)`
`static Vector3` `pnoise(Point3 p, Vector3 period)`
`static Vector3` `snoise(float x)`
`static Vector3` `snoise(float x, float y)`
`static Vector3` `snoise(float x, float y, float z)`
`static Vector3` `snoise(float x, float y, float z, float t)`
`static Vector3` `snoise(Point2 p)`
`static Vector3` `snoise(Point3 p)`
`static Vector3` `snoise(Point3 p, float t)`
`static Vector3` `spnoise(float x, float period)`
`static Vector3` `spnoise(float x, float y, float w, float h)`
`static Vector3` `spnoise(float x, float y, float z, float w, float h, float d)`
`static Vector3` `spnoise(float x, float y, float z, float t, float w, float h, float d, float p)`
`static Vector3` `spnoise(Point2 p, float periodx, float periody)`
`static Vector3` `spnoise(Point3 p, float t, Vector3 pperiod, float tperiod)`
`static Vector3` `spnoise(Point3 p, Vector3 period)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerlinVector

    public PerlinVector()

### Method Detail

#### snoise

    public static final Vector3 snoise(float x)

#### snoise

    public static final Vector3 snoise(float x,
                 float y)

#### snoise

    public static final Vector3 snoise(float x,
                 float y,
                 float z)

#### snoise

    public static final Vector3 snoise(float x,
                 float y,
                 float z,
                 float t)

#### snoise

    public static final Vector3 snoise(Point2 p)

#### snoise

    public static final Vector3 snoise(Point3 p)

#### snoise

    public static final Vector3 snoise(Point3 p,
                 float t)

#### noise

    public static final Vector3 noise(float x)

#### noise

    public static final Vector3 noise(float x,
                float y)

#### noise

    public static final Vector3 noise(float x,
                float y,
                float z)

#### noise

    public static final Vector3 noise(float x,
                float y,
                float z,
                float t)

#### noise

    public static final Vector3 noise(Point2 p)

#### noise

    public static final Vector3 noise(Point3 p)

#### noise

    public static final Vector3 noise(Point3 p,
                float t)

#### pnoise

    public static final Vector3 pnoise(float x,
                 float period)

#### pnoise

    public static final Vector3 pnoise(float x,
                 float y,
                 float w,
                 float h)

#### pnoise

    public static final Vector3 pnoise(float x,
                 float y,
                 float z,
                 float w,
                 float h,
                 float d)

#### pnoise

    public static final Vector3 pnoise(float x,
                 float y,
                 float z,
                 float t,
                 float w,
                 float h,
                 float d,
                 float p)

#### pnoise

    public static final Vector3 pnoise(Point2 p,
                 float periodx,
                 float periody)

#### pnoise

    public static final Vector3 pnoise(Point3 p,
                 Vector3 period)

#### pnoise

    public static final Vector3 pnoise(Point3 p,
                 float t,
                 Vector3 pperiod,
                 float tperiod)

#### spnoise

    public static final Vector3 spnoise(float x,
                  float period)

#### spnoise

    public static final Vector3 spnoise(float x,
                  float y,
                  float w,
                  float h)

#### spnoise

    public static final Vector3 spnoise(float x,
                  float y,
                  float z,
                  float w,
                  float h,
                  float d)

#### spnoise

    public static final Vector3 spnoise(float x,
                  float y,
                  float z,
                  float t,
                  float w,
                  float h,
                  float d,
                  float p)

#### spnoise

    public static final Vector3 spnoise(Point2 p,
                  float periodx,
                  float periody)

#### spnoise

    public static final Vector3 spnoise(Point3 p,
                  Vector3 period)

#### spnoise

    public static final Vector3 spnoise(Point3 p,
                  float t,
                  Vector3 pperiod,
                  float tperiod)